import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";
import qs from 'qs';

// 查询数据
export function classificationExportReport(data) {
  return request({
    url: '/ems/report/analysis/classificationExportReport',
    method: 'post',
    data: qs.stringify(data),
    contentType:'application/x-www-form-urlencoded',
    //formdata:true,
  })
}
// 查询底部列表
export function instantLis(data) {
  return request({
    url: '/ems/record/dnbInstant/instantList',
    method: 'get',
    params: data
  })
}

// 真查询部门下拉树结构
export function treeDat() {
  return request({
    url: '/ems/base/monitorInfo/treeData/2',
    method: 'get'
  })
}
//
// // 一键秒表
// export function editMeterReading(data) {
//   return request({
//     url: '/ems/config/editMeterReading',
//     method: 'post',
//     data: data,
//     //contentType:'application/x-www-form-urlencoded',
//   })
// }
export function previewPolyline(params) {
  return request({
    url: '/ems/report/board/previewPolyline',
    method: 'get',
    params: params
  })
}
